#!/bin/sh

run_state=0
port_id=$1
eth_alb_var=0
fc1_alb_var=0
fc2_alb_var=0

	figalb_file_name="/tmp/figalb_eth.$port_id"
    if [ -f $figalb_file_name ]
	then
	  eth_alb_var=`cat $figalb_file_name`
	  run_state=1
	fi

	figalb_file_name="/tmp/figalb_fc1.$port_id"
    if [ -f $figalb_file_name ]
	then
	  fc1_alb_var=`cat $figalb_file_name`
	  run_state=1
	fi

	figalb_file_name="/tmp/figalb_fc2.$port_id"
    if [ -f $figalb_file_name ]
	then
	  fc2_alb_var=`cat $figalb_file_name`
	  run_state=1
	fi

    if [ $run_state -eq 0 ]
	then
	  echo "0"
	else
	  tmp_var=`/bin/expr $eth_alb_var + $fc1_alb_var`
	  tmp_var=`/bin/expr $tmp_var + $fc2_alb_var`
	  if [ $tmp_var -eq 0 ]
	  then
        echo "0"
	  else
	    echo "2"
	  fi
	fi

exit $run_state