#!/bin/sh

child=0
ret=0
burst=$2

stop_child()
{
	if [ $child -ne 0 ]
	then
		/bin/kill -INT $child
	fi
	exit 0
}

trap stop_child INT TERM KILL

_d=`date` 
echo "$_d"

	for length in  64 629 805 1091 1284 1573 1655 1797 1908 2086
	do
		log1=`/usr/pkg/diagscripts/cmddir/gmac2bridgetest -l $length -c $1 -b $burst`
		ret1=$?
		child=$!

		ret=`/bin/expr $ret + $ret1`
		if [ "$ret1" = "0" ]
		then
		  echo "PASS gmac2bridgetest -l $length -c $1 -b $burst" 
		else
		  echo "FAIL gmac2bridgetest -l $length -c $1 -b $burst" 
		fi
		echo "$log1" 
	done

if [ $3 -eq "1" ]
then

	for length in 568 773 1027 1316 1401 1604 1818 1865 2058 2106
	do
		log1=`/usr/pkg/diagscripts/cmddir/gmac2bridgetest -l $length -c $1 -b $burst`
		ret1=$?
		child=$!

		ret=`/bin/expr $ret + $ret1`
		if [ "$ret1" = "0" ]
		then
		  echo "PASS gmac2bridgetest -l $length -c $1 -b $burst" 
		else
		  echo "FAIL gmac2bridgetest -l $length -c $1 -b $burst" 
		fi
		echo "$log1" 
	done
fi

exit $ret
