#!/bin/sh

child=0

stop_child()
{
	if [ $child -ne 0 ]
	then
		/bin/kill -INT $child
		echo "kill child pid $child"
	fi
	exit 0
}

printportshow()
{
	printf "PORTSHOW - Failed Ports : "
	port=0
	num_failed_port=0
	while [ $port -lt 16 ]
	do
	   portshowlog=`/usr/pkg/diagscripts/cmddir/diagportshow $port |grep Diag`
	   
		logdata=`/bin/echo $portshowlog  | /usr/bin/sed "s/\// /g"`
		logcnt=`/bin/echo $logdata | /usr/bin/wc -w`
		i=1
		while [ $i -lt $logcnt ]
		do
		   logdata2=`/bin/echo $logdata | /usr/bin/cut -d" " -f$i`   
		   if [ "$logdata2" = ":" ]
		   then
		       num=`/bin/expr $i + 1`
		       status=`/bin/echo $logdata | /usr/bin/cut -d" " -f$num`
		       if [ "$status" = "FAILED" ] 
		       then
		         num_failed_port=`/bin/expr $num_failed_port + 1`
		         if [ $num_failed_port = 1 ] 
		         then
			 	printf " $port"
			 else
			 	printf ", $port"			 
			 fi
		       fi
		   fi
		   i=`/bin/expr $i + 1`
		done	
	   
	   port=`/bin/expr $port + 1`
	done
	if [ $num_failed_port = 0 ]
	then
	   printf "None"
	fi	
	echo ""
}

perform_port_clear()
{
	port1=0
	while [ $port1 -lt 16 ]
	do
	   	portshowlog1=`/usr/pkg/diagscripts/cmddir/diagportshow $port1 |grep Diag`

		logdata1=`/bin/echo $portshowlog1  | /usr/bin/sed "s/\// /g"`
		logcnt1=`/bin/echo $logdata1 | /usr/bin/wc -w`
		i=1
		while [ $i -lt $logcnt1 ]
		do
		   logdata12=`/bin/echo $logdata1 | /usr/bin/cut -d" " -f$i`   
		   if [ "$logdata12" = ":" ]
		   then
		       num=`/bin/expr $i + 1`
		       status1=`/bin/echo $logdata1 | /usr/bin/cut -d" " -f$num`
		       if [ "$status1" = "FAILED" ]  
		       then
			/usr/pkg/sbin/portdiagclear $port1
		       fi
		   fi
		   i=`/bin/expr $i + 1`
		done	

	   port1=`/bin/expr $port1 + 1`
	done
	echo ""
}

trap stop_child INT TERM KILL


logc1=`perform_port_clear`
sleep 1
log1=`/usr/pkg/sbin/celloporttest -t 0-16 -r 0-16 -n $1 -l 64 -c 1`
ret1=$?
child=$!
logp1=`printportshow`

logc2=`perform_port_clear`
sleep 1
log2=`/usr/pkg/sbin/celloporttest -t 0-16 -r 0-16 -n $1 -l 1024 -c 1`
ret2=$?
child=$!
logp2=`printportshow`
	
logc3=`perform_port_clear`
sleep 1
log3=`/usr/pkg/sbin/celloporttest -t 0-16 -r 0-16 -n $1 -l 2048 -c 1`
ret3=$?
child=$!
logp3=`printportshow`
	
ret=`/bin/expr $ret1 + $ret2`
ret=`/bin/expr $ret + $ret3`

_d=`date` 
echo "$_d"
echo "$logc1" 
echo "$log1" 
if [ "$ret1" = "0" ]
then
  echo "PASS celloporttest -t 0-16 -r 0-16 -n $1 -l 64 -c 1" 
else
  echo $logp1
  echo "FAIL celloporttest -t 0-16 -r 0-16 -n $1 -l 64 -c 1" 
fi

echo "$logc2" 
echo "$log2"
if [ "$ret2" = "0" ]
then
  echo "PASS celloporttest -t 0-16 -r 0-16 -n $1 -l 1024 -c 1" 
else
  echo $logp2
  echo "FAIL celloporttest -t 0-16 -r 0-16 -n $1 -l 1024 -c 1" 
fi
	 
echo "$logc3" 
echo "$log3" 
if [ "$ret3" = "0" ]
then
  echo "PASS celloporttest -t 0-16 -r 0-16 -n $1 -l 2048 -c 1" 
else
  echo $logp3
  echo "FAIL celloporttest -t 0-16 -r 0-16 -n $1 -l 2048 -c 1" 
fi

exit $ret





