#!/bin/sh

_d=`date` 
echo "$_d"

ret=0
i=1
got_ip=0
net1got_ip=0
child=0


stop_child()
{
	if [ $child -ne 0 ]
	then	
	   if [ $got_ip -eq 1 ]
	   then
   	      log7=`ifconfig gtl0 inet $orig_ip netmask $orig_netm up`
	   fi	
	
	   if [ $net1got_ip -eq 1 ]
	   then
	      log8=`ifconfig gtl1 inet $net1orig_ip netmask $net1orig_netm up`
	   fi			
	   /bin/kill -INT $child
	fi
	exit 0
}

trap stop_child INT TERM KILL

#store net 0 IP 
ifdata=`ifconfig gtl0`
ifdata1=`/bin/echo $ifdata  | /usr/bin/sed "s/\// /g"`
datacnt=`/bin/echo $ifdata1 | /usr/bin/wc -w`

while [ $i -lt $datacnt ]
do
   ifdata2=`/bin/echo $ifdata1 | /usr/bin/cut -d" " -f$i`   
   if [ "$ifdata2" = "inet" ]
   then
        num=`/bin/expr $i + 1`
   	orig_ip=`/bin/echo $ifdata1 | /usr/bin/cut -d" " -f$num`
   	got_ip=1
   fi
   i=`/bin/expr $i + 1`
done

if [ $got_ip -eq 1 ]
then
	i=1
	while [ $i -lt $datacnt ]
	do
	   ifdata2=`/bin/echo $ifdata1 | /usr/bin/cut -d" " -f$i`   
	   if [ "$ifdata2" = "netmask" ]
	   then
		num=`/bin/expr $i + 1`
		orig_netm=`/bin/echo $ifdata1 | /usr/bin/cut -d" " -f$num`
	   fi
	   i=`/bin/expr $i + 1`
	done
fi

#store net 1 IP
net1ifdata=`ifconfig gtl1`
net1ifdata1=`/bin/echo $net1ifdata  | /usr/bin/sed "s/\// /g"`
net1datacnt=`/bin/echo $net1ifdata1 | /usr/bin/wc -w`

i=1
while [ $i -lt $net1datacnt ]
do
   net1ifdata2=`/bin/echo $net1ifdata1 | /usr/bin/cut -d" " -f$i`   
   if [ "$net1ifdata2" = "inet" ]
   then
        num=`/bin/expr $i + 1`
   	net1orig_ip=`/bin/echo $net1ifdata1 | /usr/bin/cut -d" " -f$num`
   	net1got_ip=1
   fi
   i=`/bin/expr $i + 1`
done


if [ $net1got_ip -eq 1 ]
then
	i=1
	while [ $i -lt $net1datacnt ]
	do
	   net1ifdata2=`/bin/echo $net1ifdata1 | /usr/bin/cut -d" " -f$i`   
	   if [ "$net1ifdata2" = "netmask" ]
	   then
		num=`/bin/expr $i + 1`
		net1orig_netm=`/bin/echo $net1ifdata1 | /usr/bin/cut -d" " -f$num`
	   fi
	   i=`/bin/expr $i + 1`
	done
fi


#run test only if net0 has been configured
if [ $got_ip -eq 1 ]
then
	
   pkt_len=64
   log1=`/usr/pkg/diagscripts/cmddir/mgmttest -s 1 -d 2 -c $3 -l $pkt_len -b 100 -p 0xaa`
   ret1=$?
   child=$!

   echo "$log1" 

   log2=`/usr/pkg/diagscripts/cmddir/mgmttest -s 2 -d 1 -c $3 -l $pkt_len -b 100 -p 0xaa`
   ret2=$?
   child=$!
   
   echo "$log2"

   pkt_len=1500
   log3=`/usr/pkg/diagscripts/cmddir/mgmttest -s 1 -d 2 -c $3 -l $pkt_len -b 10 -p 0xaa`
  ret3=$?
   child=$!

   echo "$log3" 

   log4=`/usr/pkg/diagscripts/cmddir/mgmttest -s 2 -d 1 -c $3 -l $pkt_len -b 10 -p 0xaa`
   ret4=$?
   child=$!

   echo "$log4"
   
   log5=`ifconfig gtl0 inet $orig_ip netmask $orig_netm up`
   ret5=$?
   child=$!
   ret=`/bin/expr $ret1 + $ret2 + $ret3 + $ret4 + $ret5`
   
   if [ $net1got_ip -eq 1 ]
   then   	
	log6=`ifconfig gtl1 inet $net1orig_ip netmask $net1orig_netm up`
	ret6=$?
	ret=`/bin/expr $ret1 + $ret2 + $ret3 + $ret4 + $ret5 + $ret6`
	child=$!   	
   fi
   
else
   ret=1
   echo "FAILED network management port test. Unable to store IP address."
fi
exit $ret

