#!/bin/sh

_d=`date` 
echo "$_d"
child=0


stop_child()
{
	if [ $child -ne 0 ]
	then
		/bin/kill -INT $child
	fi
	exit 0
}

printportshow()
{
	printf "PORTSHOW - Failed Ports : "
	port=0
	num_failed_port=0
	while [ $port -lt 16 ]
	do
	   portshowlog=`/usr/pkg/diagscripts/cmddir/diagportshow $port |grep Diag`
	   
		logdata=`/bin/echo $portshowlog  | /usr/bin/sed "s/\// /g"`
		logcnt=`/bin/echo $logdata | /usr/bin/wc -w`
		i=1
		while [ $i -lt $logcnt ]
		do
		   logdata2=`/bin/echo $logdata | /usr/bin/cut -d" " -f$i`   
		   if [ "$logdata2" = ":" ]
		   then
		       num=`/bin/expr $i + 1`
		       status=`/bin/echo $logdata | /usr/bin/cut -d" " -f$num`
		       if [ "$status" = "FAILED" ]  
		       then
		         num_failed_port=`/bin/expr $num_failed_port + 1`
		         if [ $num_failed_port = 1 ] 
		         then
			 	printf " $port"
			 else
			 	printf ", $port"			 
			 fi
		       fi
		   fi
		   i=`/bin/expr $i + 1`
		done	
	   
	   port=`/bin/expr $port + 1`
	done
	if [ $num_failed_port = 0 ]
	then
	   printf "None"
	fi	
	echo ""
}

perform_port_clear()
{
	port1=0
	while [ $port1 -lt 16 ]
	do
	   	portshowlog1=`/usr/pkg/diagscripts/cmddir/diagportshow $port1 |grep Diag`

		logdata1=`/bin/echo $portshowlog1  | /usr/bin/sed "s/\// /g"`
		logcnt1=`/bin/echo $logdata1 | /usr/bin/wc -w`
		i=1
		while [ $i -lt $logcnt1 ]
		do
		   logdata12=`/bin/echo $logdata1 | /usr/bin/cut -d" " -f$i`   
		   if [ "$logdata12" = ":" ]
		   then
		       num=`/bin/expr $i + 1`
		       status1=`/bin/echo $logdata1 | /usr/bin/cut -d" " -f$num`
		       if [ "$status1" = "FAILED" ]  
		       then
			/usr/pkg/sbin/portdiagclear $port1
		       fi
		   fi
		   i=`/bin/expr $i + 1`
		done	

	   port1=`/bin/expr $port1 + 1`
	done
	echo ""
}

trap stop_child INT TERM KILL

if [ "$1" = "16" ]
then
  port_id="0-15"
  port_file=16
else
  port_id=$1
  port_file=$1
fi

pkt_count=$2

test_type=$3

ret=0

pkt_len=64
logc1=`perform_port_clear`
sleep 1
log1=`/usr/pkg/sbin/portloopbacktest -p $port_id -m 0 -s 1 -n $pkt_count -l $pkt_len -b $test_type`
ret1=$?
child=$!
logp1=`printportshow`

pkt_len=1024
logc2=`perform_port_clear`
sleep 1
log2=`/usr/pkg/sbin/portloopbacktest -p $port_id -m 0 -s 1 -n $pkt_count -l $pkt_len -b $test_type`
ret2=$?
child=$!
logp2=`printportshow`

ret=`/bin/expr $ret1 + $ret2`

echo "$logc1" 
echo "$log1" 
if [ $ret1 = "0" ]
then
    echo "PASS portloopbacktest -p $port_id -m 0 -s 1 -n $pkt_count -l 64 -b $test_type"
else
    echo $logp1
    echo "FAIL portloopbacktest -p $port_id -m 0 -s 1 -n $pkt_count -l 64 -b $test_type"
fi

echo "$logc2" 
echo "$log2" 
if [ $ret2 = "0" ]
then
    echo "PASS portloopbacktest -p $port_id -m 0 -s 1 -n $pkt_count -l 1024 -b $test_type"
else
    echo $logp2
    echo "FAIL portloopbacktest -p $port_id -m 0 -s 1 -n $pkt_count -l 1024 -b $test_type"
fi

exit $ret
