#!/bin/sh

runMaxCount=$1
child=0

stop_child()
{
	if [ $child -ne 0 ]
	then
		/bin/kill -INT $child
	fi
	exit 0
}

trap stop_child INT TERM KILL
speed=`/bin/expr $2 % 2`

runCount=0
retCum=0
ret=0
while [ $runCount -lt $runMaxCount ]
do
	log=`/usr/pkg/diagscripts/cmddir/diagsetfanspeed $speed`
	ret=$?
        child=$!
	_d=`date` 
	echo "$_d" 
	echo "$log" 
	retCum=`/bin/expr $retCum + $ret`
    	runCount=`/bin/expr $runCount + 1`
	sleep 1
done
# echo "$retCum"
exit $retCum