#! /bin/sh

# $Id: fig_hw.sh,v 1.4 2003/07/02 20:10:37 kchan Exp $

figreg=/usr/pkg/diagscripts/figreg

echo Cello Status
$figreg 19 0 dump 0x40

for port in $@; do
  echo Dumping port $port status ...

  echo Figero Xbar status
  $figreg $port 0x13000000 dump 8

  echo Figero Sram status
  $figreg $port 0x12000000 dump 8

  echo Figero Dram status
  $figreg $port 0x11000054 dump 0x10

  echo Figero error queue
  $figreg $port 0x150000c0 dump 0xc
done

exit 0
